Piloterr

Mr.Bricolage Stores Finder

Search Mr.Bricolage stores by name, city or postal code to retrieve their store ID, slug, contact information and geolocation.

GET
/v2/finder/mrbricolage-stores

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Filters Mr.Bricolage stores based on a search string. The search is non-case-sensitive and matches store names, cities and postal codes.

Example:

matignon

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/finder/mrbricolage-stores?query=string"
[
  {
    "id": "58cbe9720cb81d1100996836",
    "store_id": "S727",
    "store_slug": "Matignon",
    "magento_slug": "mr-bricolage-matignon",
    "seo_id": "137",
    "name": "Mr.Bricolage Matignon",
    "city": "MATIGNON",
    "postal_code": "22550",
    "country_code": "FR",
    "region": "Bretagne",
    "department": "Côtes-d'Armor",
    "phone": "+33 2 96 41 16 94",
    "epj": "00794246",
    "live_page_url": "https://magasin.mr-bricolage.fr/137-mr-bricolage-matignon"
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}